regina::detail::SimplexFaces< dim, subdim > Class Template Reference
Implementation details

Helper class for storing which subdim-faces of a dim-dimensional triangulation appear within each top-dimensional simplex. More...

`#include <triangulation/detail/simplex.h>`

Inheritance diagram for regina::detail::SimplexFaces< dim, subdim >:

## Public Member Functions

| SimplexFaces (const SimplexFaces &)=delete
| Explicitly disable the copy constructor. More...
SimplexFaces & | operator= (const SimplexFaces &)=delete
| Explicitly disable the assignment operator. More...

## Protected Member Functions

void | clear ()
| Resets all face pointers to null. More...
bool | sameDegrees (const SimplexFaces< dim, subdim > &other, Perm< dim+1 > p) const
| Tests whether the subdim-face degrees of this and the given simplex are identical, under the given relabelling. More...

## Protected Attributes

Face< dim, subdim > * | face_ [FaceNumbering< dim, subdim >::nFaces]
| The faces of the underlying triangulation that form the individual subdim-faces of this simplex. More...
Perm< dim+1 > | mapping_ [FaceNumbering< dim, subdim >::nFaces]
| For each subdim-face of this simplex, maps vertices (0,1,...,subdim) of the underlying subdim-face of the triangulation to the corresponding vertices of this simplex, as described by faceMapping(). More...

## Detailed Description

### template<int dim, int subdim>
class regina::detail::SimplexFaces< dim, subdim >

Helper class for storing which subdim-faces of a dim-dimensional triangulation appear within each top-dimensional simplex.

This class is strongly related to FaceEmbedding<dim, subdim>. Whereas each FaceEmbedding object identifies some simplex in which a given subdim-face appears, each SimplexFaces object identifies all subdim-faces which appear within a given simplex.

The documentation for this class was generated from the following file:

- triangulation/detail/simplex.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).